#include <iostream>

using namespace std;

int pojavljivanja[26];

int main(void)
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    string tekst;
    cin >> tekst;

    int l = 0, r = tekst.length() - 1;
    for(int i = 0; i < r+1; i++)
        pojavljivanja[tekst[i]-97]++;

    while(l <= r && tekst[l] == tekst[r])
    {
        pojavljivanja[tekst[l]-97] -= 2;
        l++;
        r--;
    }

    if(l >= r)
    {
        cout << 1 << "\n";
        return 0;
    }

    if(pojavljivanja[tekst[l]-97] % 2)
        l++;
    else if(pojavljivanja[tekst[r]-97] % 2)
        r--;

    cout << r-l+1 << "\n";

    return 0;
}